Ubuntu 14.04 to 16.04 Diaspora* won't start

117 views
Skip to first unread message

paul meeke

unread,
Sep 28, 2016, 9:57:41 PM9/28/16
to diaspora-discuss
So i managed to get ubuntu updated today, everything seemed to go smoothly but now my pod won't start.


After it not starting I thought I would go through the update process again to see if it would fix things but I get this error

LoadError: incompatible library version - /home/diaspora/diaspora/vendor/bundle/ruby/2.3.0/gems/nokogiri-1.6.8/lib/nokogiri/nokogiri.so

When trying to start the server this is the errors which come up

bundler: failed to load command: loader_eye (/home/diaspora/diaspora/vendor/bundle/ruby/2.3.0/bin/loader_eye)
LoadError: /var/lib/gems/2.3.0/gems/sigar-0.7.3/lib/sigar.so: undefined symbol: sigar_skip_token - /var/lib/gems/2.3.0/gems/sigar-0.7.3/lib/sigar.so
 
/home/diaspora/diaspora/vendor/bundle/ruby/2.3.0/gems/eye-0.8.1/lib/eye/sigar.rb:1:in `require'
  /home/diaspora/diaspora/vendor/bundle/ruby/2.3.0/gems/eye-0.8.1/lib/eye/sigar.rb:1:in `
<top (required)>'
  /home/diaspora/diaspora/vendor/bundle/ruby/2.3.0/gems/eye-0.8.1/lib/eye/controller.rb:11:in `require'

 
/home/diaspora/diaspora/vendor/bundle/ruby/2.3.0/gems/eye-0.8.1/lib/eye/controller.rb:11:in `<top (required)>'
  /home/diaspora/diaspora/vendor/bundle/ruby/2.3.0/gems/eye-0.8.1/lib/eye/control.rb:2:in `
require'
  /home/diaspora/diaspora/vendor/bundle/ruby/2.3.0/gems/eye-0.8.1/lib/eye/control.rb:2:in `<top (required)>'

 
/home/diaspora/diaspora/vendor/bundle/ruby/2.3.0/gems/eye-0.8.1/bin/loader_eye:52:in `require'
  /home/diaspora/diaspora/vendor/bundle/ruby/2.3.0/gems/eye-0.8.1/bin/loader_eye:52:in `
<top (required)>'
  /home/diaspora/diaspora/vendor/bundle/ruby/2.3.0/bin/loader_eye:23:in `load'

 
/home/diaspora/diaspora/vendor/bundle/ruby/2.3.0/bin/loader_eye:23:in `<top (required)>'


Any help with this would be greatly appreciated as at the moment my pod at social.acclaro.digital is down :(


paul meeke

unread,
Sep 29, 2016, 9:58:05 AM9/29/16
to diaspora-discuss
I have managed to get it up and running again with this workaround:
gem install sigar -- --with-cppflags="-fgnu89-inline"
But I have noticed that my images from posts and my avatar image have gone, updating my avatar does show the image again, but unfortunately not the images from my posts
Reply all
Reply to author
Forward
0 new messages